#!/bin/bash
# Código de estado que devuelve:
# 0: si ha desmontado algún recurso y todo ha funcionado bien
# Devolverá en la salida estándar si ha desmontado algo o no mediante la cadena DESMONTA

. /etc/default/vx-dga-variables/vx-dga-variables-general.conf

for VAR in "$@"; do
    RECURSO=$(echo "${VAR}" | cut -d":" -f2)
    # Chequeamos que el recurso está montado, asociado a nfs y a nuestro servidor caché
    ! ( grep "^${IPCACHE}.* nfs .*" /proc/mounts | grep "$RECURSO" > /dev/null 2>&1 ) && continue
    echo "$(date) - Se va a desmontar el recurso: $RECURSO"
    if umount -lf "${RECURSO}" ; then
        [ -z "$(ls -A "${RECURSO}" )" ] && rmdir --ignore-fail-on-non-empty "${RECURSO}"
        vx-colorear_echo "verde" "$(date) - Desmontado de forma correcta: $RECURSO"
    fi
done

vx-colorear_echo "verde" "[$(vx-fecha)] NFS-SHARE: Se ha terminado de intentar desmontar los recursos" | sudo vx-funcs-bash vx-auditar-syslog

exit 0
